include	clib.inc

_TEXT	SEGMENT

strlen proc dist pascal public uses di string:dword
	cld
	sub al,al
	les di,string
	mov cx,-1
	repne scasb
	mov ax,cx
	not ax
	dec ax
	ret
strlen endp

_TEXT	ENDS

	END
